Updates task hierarchy and subtask order.

POSThttps://api.awork.com/api/v1/tasks/changesubtasks
POST https://api.awork.com/api/v1/tasks/changesubtasks

Updates task hierarchy and subtask order. A moved subtask adopts the parent task's list and type, and tasks with subtasks cannot become subtasks.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The subtask Changes model.

application/json

taskIdstringRequired
format: uuid

The id of the task.

parentIdstringRequired
format: uuid

The id of the parent task.

ordernumber or nullOptional
format: double

The order the subtask related to its parent.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation